# Generated by Django 5.0.6 on 2024-05-23 08:25

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('machines', '0003_spareparts'),
        ('task', '0002_task'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='UsedSpareParts',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.PositiveIntegerField()),
                ('description', models.TextField(blank=True, null=True)),
                ('spare_part', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='machines.spareparts')),
                ('task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='task.task')),
                ('user', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserHistory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_work', models.DateTimeField(blank=True, default=None, null=True)),
                ('closed_at', models.DateTimeField(blank=True, default=None, null=True)),
                ('active', models.BooleanField(default=True)),
                ('machines', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='machines.machine')),
                ('task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='task.task')),
                ('user', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='user_history', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
